LibreOffice LibreOffice 25.2 SDK API Reference

Public Types | List of all members
InteractiveAugmentedIOException Exception Referencepublished

An input/output error with arguments. More...

`import"InteractiveAugmentedIOException.idl";`

Inheritance diagram for InteractiveAugmentedIOException:

## Public Types
typedef sequence< any > | Arguments
| Additional arguments. More...

## Additional Inherited Members
Public Attributes inherited from InteractiveIOException
com::sun::star::ucb::IOErrorCode | Code
| The type of input/output error. More...
Public Attributes inherited from ClassifiedInteractionRequest
com::sun::star::task::InteractionClassification | Classification
| The classification of the request. More...
Public Attributes inherited from Exception
string | Message
| gives a detailed description of the reason, why the exception was thrown. More...
com::sun::star::uno::XInterface | Context
| should contain a reference to the original, which raised the exception. More...

## Detailed Description

An input/output error with arguments.

## Member Typedef Documentation

## ◆ Arguments

sequence< any > Arguments

Additional arguments.

See com::sun::star::task::InteractionHandler for a description of well-known arguments.

The documentation for this exception was generated from the following file:

- com/sun/star/ucb/InteractiveAugmentedIOException.idl